forecast

API: weather.gov:national-weather-service-api
Endpoint: /gridpoints/{wfo}/{x},{y}/forecast
Response format: application/geo+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 368ms

Description

Returns a textual forecast for a 2.5km grid area

Parameters (5)

Feature-Flags (array, header, optional)

Enable future and experimental features (see documentation for more info): * forecast_temperature_qv: Represent temperature as QuantitativeValue * forecast_wind_speed_qv: Represent wind speed as QuantitativeValue

units (?, query, optional)

Use US customary or SI (metric) units in textual output

wfo (?, path, required)

Forecast office ID

x (integer, path, required)

Forecast grid X coordinate

Constraints: {'minimum': 0}

y (integer, path, required)

Forecast grid Y coordinate

Constraints: {'minimum': 0}

Examples (2)

Basic forecast for Washington DC area curl
curl 'https://api.weather.gov/gridpoints/LWX/96,72/forecast'
import requests

resp = requests.get("https://api.weather.gov/gridpoints/LWX/96,72/forecast")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("gridpoints/{wfo}/{x},{y}/forecast")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/gridpoints/LWX/96,72/forecast");
const data = await resp.json();
Forecast with metric units curl
curl 'https://api.weather.gov/gridpoints/LWX/96,72/forecast?units=si'
import requests

resp = requests.get(
    "https://api.weather.gov/gridpoints/LWX/96,72/forecast",
    params={
        'units': 'si',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("gridpoints/{wfo}/{x},{y}/forecast", units="si")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/gridpoints/LWX/96,72/forecast?units=si");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:57:05.361760 200 368ms
2026-04-04 02:26:07.779131 200 218ms
2026-04-04 02:12:50.075506 200 424ms
2026-04-03 14:46:16.939099 200 440ms
2026-04-03 13:43:06.520480 200 274ms
2026-04-03 12:36:08.763062 200 668ms
2026-03-30 06:22:18.072451 200 238ms
2026-03-30 03:13:15.520992 200 455ms
2026-03-30 03:07:08.379985 200 483ms
2026-03-29 14:07:13.434476 200 256ms
2026-03-29 13:15:04.201885 200 458ms
2026-03-29 13:11:31.430849 200 433ms
2026-03-23 11:06:22.172224 200 180ms
2026-03-23 10:26:41.013242 200 424ms
2026-03-23 00:27:08.319269 200 500ms